Summary:	Threaded poller for Cacti written in C
Name:		cacti-spine
Version:	0.8.8c
Release:	2.2
License:	GPL
Group:		Application/System
Source0:	cacti-spine-%{version}.tar.bz2
URL:		http://www.cacti.net/spine_info.php
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	cacti, mysql, net-snmp, rrdtool
BuildRequires:	mysql-devel, net-snmp-devel, openssl, openssl-devel

%description
Spine is a supplemental poller for Cacti that makes use of pthreads to achieve
excellent performance.

%prep

%setup

%build
autoreconf -fi
chmod +x configure
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
cp %{buildroot}%{_sysconfdir}/spine.conf.dist %{buildroot}%{_sysconfdir}/spine.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS
%doc LICENSE LICENSE.LGPL README README.wri
%config(noreplace) %{_sysconfdir}/spine.conf
%config %{_sysconfdir}/spine.conf.dist
%{_bindir}/*

%changelog
* Wed Jan 28 2015 cs@linux-administrator.com
- update to release 0.8.8c
* Thu May  3 2012 cs@linux-administrator.com
- update to release 0.8.8a
